curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/entitlements \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/entitlements"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/entitlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/entitlements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/entitlements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/entitlements")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/entitlements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"Entitlement\", \"id\": \"ent_p1235\", \"description\": \"Access to ent_p1235\", \"account\": { \"object\": \"Account\", \"id\": \"Account_1649141886\", \"vid\": \"c70c98c6450f40abd0b3d9c05bbe84e75f1d3688\" }, \"subscription\": { \"object\": \"Subscription\", \"id\": \"Subscription_1649141886\", \"vid\": \"b2c2e8af40cadd514d26e755cbc0771e09c7351e\" }, \"billing_plan\": { \"object\": \"BillingPlan\", \"id\": \"plan_1235\", \"vid\": \"8644badd87f372e93ef355f8c0dda1f350128656\" }, \"starts\": \"2022-04-05T06:58:09+00:00\", \"ends\": \"2022-05-11T23:59:59+00:00\", \"active\": true } ], \"total_count\": 1, \"url\": \"/entitlements?account=Account_1649141886\", \"next\": null, \"previous\": null }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"List Entitlements
Retrieves a list of filtered Entitlements. The list must be constrained to a particular Account (or Account family), or by Entitlement id.
Note:- Paging has not been implemented for the List Entitlements endpoint because there is no unique constraint on Entitlement ids.
curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/entitlements \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/entitlements"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/entitlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/entitlements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/entitlements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/entitlements")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/entitlements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"Entitlement\", \"id\": \"ent_p1235\", \"description\": \"Access to ent_p1235\", \"account\": { \"object\": \"Account\", \"id\": \"Account_1649141886\", \"vid\": \"c70c98c6450f40abd0b3d9c05bbe84e75f1d3688\" }, \"subscription\": { \"object\": \"Subscription\", \"id\": \"Subscription_1649141886\", \"vid\": \"b2c2e8af40cadd514d26e755cbc0771e09c7351e\" }, \"billing_plan\": { \"object\": \"BillingPlan\", \"id\": \"plan_1235\", \"vid\": \"8644badd87f372e93ef355f8c0dda1f350128656\" }, \"starts\": \"2022-04-05T06:58:09+00:00\", \"ends\": \"2022-05-11T23:59:59+00:00\", \"active\": true } ], \"total_count\": 1, \"url\": \"/entitlements?account=Account_1649141886\", \"next\": null, \"previous\": null }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Limit the entitlement list to a specified account id or vid - if specified, all Entitlements associated with that Account appear. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128Limit the entitlement list to the specified entitlement id. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128Indicates whether or not to return any existing child accounts’ entitlements when an account is specified.
Indicates whether or not to display all the relevant entitlements when an account is specified.
Response
JSON A list array of Entitlements filtered by the given Query Parameters. Each entry in the array is a full Entitlement object. If no more objects are available, the resulting array will be empty. This request should never throw an error. A list of Entitlement objects matching the query. Also:
- "total_count": Integer count of the number of Entitlement objects in the returned list.
- "url": The query string provided in the request
- "next": The route (partial URL) to the next Entitlement object (string to select the “next”); included id should match that of the last object returned here
- "previous": The route (partial URL) to the previous Entitlement object (string to select the “previous”); included id should match that of the first object returned here
List Show child attributes
Show child attributes
Integer count of the number of items in the returned list.
The query string provided in the request
The route (partial URL) to the next Credit object (string to select the "next"); included id should match that of the last object returned here.
The route (partial URL) to the previous Credit object (string to select the "previous"); included id should match that of the first object
"{ \"object\": \"List\", \"data\": [ { \"object\": \"Entitlement\", \"id\": \"ent_p1235\", \"description\": \"Access to ent_p1235\", \"account\": { \"object\": \"Account\", \"id\": \"Account_1649141886\", \"vid\": \"c70c98c6450f40abd0b3d9c05bbe84e75f1d3688\" }, \"subscription\": { \"object\": \"Subscription\", \"id\": \"Subscription_1649141886\", \"vid\": \"b2c2e8af40cadd514d26e755cbc0771e09c7351e\" }, \"billing_plan\": { \"object\": \"BillingPlan\", \"id\": \"plan_1235\", \"vid\": \"8644badd87f372e93ef355f8c0dda1f350128656\" }, \"starts\": \"2022-04-05T06:58:09+00:00\", \"ends\": \"2022-05-11T23:59:59+00:00\", \"active\": true } ], \"total_count\": 1, \"url\": \"/entitlements?account=Account_1649141886\", \"next\": null, \"previous\": null }"

